\name{euclidDist}
\alias{euclidDist}
\title{return euclidean distance between successive rows in a matrix.}
\usage{
  euclidDist(m, cols = FALSE, circular = FALSE)
}
\arguments{
  \item{m}{An nxm matrix where there are n points in
  \eqn{R^m}, and we want to find the distance between
  successive rows (points).  i.e., one point per row.}

  \item{circular}{boolean, whether to also calculate the
  distance between the last and first point.}

  \item{cols}{If this is TRUE, the matrix is mxn instead
  (each point is a column)}
}
\value{
  a vector of length (n-1) containing the distance between
  successive points in "m".
}
\description{
  return euclidean distance between successive rows in a
  matrix.
}
\examples{
# make a matrix of 4 points in 2D.
m <- array(runif(4*2),dim=c(4,2))
euclidDist(m)            # dist between rows
euclidDist(m,circular=TRUE) # dist between rows including 4 to 1.
euclidDist(m,cols=TRUE)     # dist between cols
}

